Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common
Class ModClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  cpw.mods.fml.common.ModClassLoader

    public class ModClassLoader

extends URLClassLoader

A simple delegating class loader used to load mods into the system

Author:
  cpw

Constructor Summary
`ModClassLoader(ClassLoader parent)`

Method Summary
`void` | `addFile(File modFile)`
`List<String>` | `getDefaultLibraries()`
`File[]` | `getParentSources()`
`Class<? extends BaseModProxy>` | `loadBaseModClass(String modClazzName)`
`Class<?>` | `loadClass(String name)`

Methods inherited from class java.net.URLClassLoader
`findResource, findResources, getURLs, newInstance, newInstance`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModClassLoader

    public ModClassLoader(ClassLoader parent)

Method Detail

### addFile

    public void addFile(File modFile)
                 throws MalformedURLException

  Throws:
    `MalformedURLException`

### loadClass

    public Class<?> loadClass(String name)
                       throws ClassNotFoundException

  Overrides:
    `loadClass` in class `ClassLoader`
  Throws:
    `ClassNotFoundException`

### getParentSources

    public File[] getParentSources()

### getDefaultLibraries

    public List<String> getDefaultLibraries()

### loadBaseModClass

    public Class<? extends BaseModProxy> loadBaseModClass(String modClazzName)
                                                   throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD